/** @addtogroup generic	
 * @{
 */
/** @file
 */

#ifndef KERN_UDEBUG_OPS_H_
#define KERN_UDEBUG_OPS_H_

#include <ipc/ipc.h>

int udebug_begin(call_t *call);
int udebug_end(void);

int udebug_go(thread_t *t, call_t *call);

int udebug_thread_read(void **buffer, size_t *n);
int udebug_args_read(thread_t *t, void **buffer);

int udebug_regs_read(thread_t *t, void **buffer, size_t *n);
int udebug_regs_write(thread_t *t, void *buffer);

int udebug_mem_read(unative_t uspace_addr, size_t n, void **buffer);
int udebug_mem_write(unative_t uspace_addr, void *data, size_t n);

#endif

/** @}
 */
