/** @addtogroup sctrace
 * @{
 */
/** @file
 */

#ifndef IPCP_H_
#define IPCP_H_

#include <ipc/ipc.h>
#include "proto.h"

void ipcp_init(void);
void ipcp_cleanup(void);

void ipcp_call_out(int phone, ipc_call_t *call, ipc_callid_t hash);
void ipcp_call_sync(int phone, ipc_call_t *call, ipc_call_t *answer);
void ipcp_call_in(ipc_call_t *call, ipc_callid_t hash);
void ipcp_hangup(int phone, int rc);

void ipcp_connection_set(int phone, int server, proto_t *proto);
void ipcp_connection_clear(int phone);

#endif

/** @}
 */
